Loading...
Searching...
No Matches
LevelSetHDDA< TreeT, NodeLevel > Struct Template Reference

Helper class that implements Hierarchical Digital Differential Analyzers and is specialized for ray intersections with level sets. More...

`#include <openvdb/math/DDA.h>`

## Public Types

using | ChainT = typename TreeT::RootNodeType::NodeChainType
using | NodeT = typename ChainT::template Get<NodeLevel>

## Static Public Member Functions

template<typename TesterT>
static bool | test (TesterT &tester)

## Detailed Description

template<typename TreeT, int NodeLevel>
struct openvdb::v11_0::math::LevelSetHDDA< TreeT, NodeLevel >

Helper class that implements Hierarchical Digital Differential Analyzers and is specialized for ray intersections with level sets.

## Member Typedef Documentation

## ChainT

template<typename TreeT, int NodeLevel>

using ChainT = typename TreeT::RootNodeType::NodeChainType

## NodeT

template<typename TreeT, int NodeLevel>

using NodeT = typename ChainT::template Get<NodeLevel>

## Member Function Documentation

## test()

template<typename TreeT, int NodeLevel>
template<typename TesterT>

bool test | ( | TesterT & | tester | ) |

inlinestatic